Schema/Get workspace schema JSON

Get workspace schema JSON

GET/schema

Authorization

AuthorizationRequiredBearer <token>

Authorization: Bearer onn_live_…. Prefix lookup (first 12 characters) plus argon2id. Scopes are tables:read and tables:write (write implies read).

In: header

curl -X GET "https://api.onnie.ai/api/public/v1/schema" \
  -H "Authorization: Bearer <token>"

Structured schema used to generate TypeScript

{
  "tables": [
    {
      "id": "string",
      "alias_id": "string",
      "name": "string",
      "exportName": "string",
      "columns": [
        {}
      ]
    }
  ]
}